Results 1 to 10 of 10

Thread: Patch Failure on OpenSuse-2011-59 - kde4 crashes due to Qpixmaps

  1. #1

    Default Patch Failure on OpenSuse-2011-59 - kde4 crashes due to Qpixmaps

    Received the following conflict on a patch received today:

    patchpenSUSE-2011-59-1.noarch conflicts with libqt4-x11-debuginfo.i586 < 4.7.4-19.4.1
    provided by libqt4-x11-debuginfo-4.7.4-19.2.2.i586

    All other patches/updates installed fine.

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Patch Failure on OpenSuse-2011-59 - kde4 crashes due to Qpixmaps

    So are you using kde Release repo?
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3

    Default Re: Patch Failure on OpenSuse-2011-59 - kde4 crashes due to Qpixmaps

    The error appeared on Apper so I'm assuming that I am. I'm happy to provide any more info that you might need. Should I have logged this issue on KDE?

  4. #4

    Default Re: Patch Failure on OpenSuse-2011-59 - kde4 crashes due to Qpixmaps

    Additional info: Yast catches the same conflict and recommends deinstallation of libqt4-x11-debuginfo-4.7.4-19.2.2.i586 and
    libqt4-debuginfo-4.7.4-19.2.2.i586. Yast repos are OpenSuse.

  5. #5
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Patch Failure on OpenSuse-2011-59 - kde4 crashes due to Qpixmaps

    Please post the result of

    Code:
    zypper lr -d
    Code:
    zypper lu
    Code:
    zypper lp
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  6. #6

    Default Re: Patch Failure on OpenSuse-2011-59 - kde4 crashes due to Qpixmaps

    zypper lr -d
    | Service
    --+------------------------------------+------------------------------------+---------+---------+----------+--------+------------------------------------------------------------------------+--------
    1 | Updates-for-openSUSE-12.1-12.1-1.4 | Updates for openSUSE 12.1 12.1-1.4 | Yes | Yes | 99 | rpm-md | Index of /update/12.1 |
    2 | VideoLan | VideoLan | Yes | Yes | 99 | rpm-md | Index of /pub/videolan/vlc/SuSE/12.1/ |
    3 | openSUSE-12.1-12.1-1.4 | openSUSE-12.1-12.1-1.4 | Yes | No | 99 | yast2 | cd:///?devices=/dev/disk/by-id/ata-TSSTcorp_DVD+_-RW_TS-H653F,/dev/sr0 |
    4 | repo-debug | openSUSE-12.1-Debug | Yes | Yes | 99 | yast2 | Index of /debug/distribution/12.1/repo/oss |
    5 | repo-debug-update | openSUSE-12.1-Update-Debug | No | Yes | 99 | NONE | Index of /debug/update/12.1 |
    6 | repo-non-oss | openSUSE-12.1-Non-Oss | Yes | Yes | 99 | yast2 | Index of /distribution/12.1/repo/non-oss |
    7 | repo-oss | openSUSE-12.1-Oss | Yes | Yes | 99 | yast2 | Index of /distribution/12.1/repo/oss |
    8 | repo-source | openSUSE-12.1-Source | No | Yes | 99 | NONE | Index of /source/distribution/12.1/repo/oss |

    zypper lu

    Loading repository data...
    Reading installed packages...
    S | Repository | Name | Current Version | Available Version | Arch
    --+------------------------------------+-------------------+-----------------+-------------------+-----
    v | Updates for openSUSE 12.1 12.1-1.4 | libqt4 | 4.7.4-19.2.2 | 4.7.4-19.4.1 | i586
    v | Updates for openSUSE 12.1 12.1-1.4 | libqt4-qt3support | 4.7.4-19.2.2 | 4.7.4-19.4.1 | i586
    v | Updates for openSUSE 12.1 12.1-1.4 | libqt4-sql | 4.7.4-19.2.2 | 4.7.4-19.4.1 | i586
    v | Updates for openSUSE 12.1 12.1-1.4 | libqt4-sql-mysql | 4.7.4-19.2.2 | 4.7.4-19.4.1 | i586
    v | Updates for openSUSE 12.1 12.1-1.4 | libqt4-sql-sqlite | 4.7.4-19.2.2 | 4.7.4-19.4.1 | i586
    v | Updates for openSUSE 12.1 12.1-1.4 | libqt4-x11 | 4.7.4-19.2.2 | 4.7.4-19.4.1 | i586


    zypper lp

    Loading repository data...
    Reading installed packages...

    Repository | Name | Version | Category | Status
    -----------------------------------+------------------+---------+-------------+-------
    Updates for openSUSE 12.1 12.1-1.4 | openSUSE-2011-59 | 1 | recommended | needed

  7. #7
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Patch Failure on OpenSuse-2011-59 - kde4 crashes due to Qpixmaps

    You shouldn't be using VideoLan repo

    And I'm not seeing those updates. But then I don't use patches / online update the way you are perhaps doing

    Let me check it again more carefully
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  8. #8
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Patch Failure on OpenSuse-2011-59 - kde4 crashes due to Qpixmaps

    I already have all those updates

    Please try this
    http://dl.dropbox.com/u/10573557/Sof...tem_update.png

    But we still need to sort the VLC mess
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  9. #9

    Default Re: Patch Failure on OpenSuse-2011-59 - kde4 crashes due to Qpixmaps

    I'm still not able to resolve the conflict as your link suggested. Yast2's conflict resolutions states to either deinstall
    libqt4-x11-debuginfo-4.7.4-19.2.2.i586 and libqt4-debuginfo-4.7.4-19.2.2.i586 or not to install the patch.

    Please note this is not an urgent issue for me. I posted it primarily for general notification. Libre Office appears to be working fine for me regardless of this bug, but at the same time I don't use it heavily.

    And thanks for your time!

  10. #10
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Patch Failure on OpenSuse-2011-59 - kde4 crashes due to Qpixmaps

    Possibly I cannot replicate your error because I do not have the debug packages installed.

    Unless you need debug from bug reporting, you might want to see what happens if you choose the uninstall option

    It might be worth posting the error to the kde mailing list
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •